VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frm_vcdxgen 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "GNU VCDImager Tools GUI - VCDXGEN"
   ClientHeight    =   6435
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7095
   ControlBox      =   0   'False
   Icon            =   "frm_vcdxgen.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6435
   ScaleWidth      =   7095
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Left            =   360
      Top             =   4560
   End
   Begin VB.CheckBox chk_update 
      Caption         =   "Update scan-offsets"
      Enabled         =   0   'False
      Height          =   255
      Left            =   3658
      TabIndex        =   12
      ToolTipText     =   "Updates ""scan-offset"" data in SVCD MPEG-2 streams (recommended)"
      Top             =   5130
      Value           =   1  'Checked
      Width           =   1935
   End
   Begin VB.CheckBox chk_brokensvcd 
      Caption         =   "Broken SVCD mode"
      Enabled         =   0   'False
      Height          =   255
      Left            =   3658
      TabIndex        =   11
      ToolTipText     =   "Check to enable compatibility mode for some ""broken"" SVCD players"
      Top             =   4770
      Width           =   1815
   End
   Begin VB.CheckBox chk_nopbc 
      Caption         =   "No PBC"
      Height          =   255
      Left            =   2102
      TabIndex        =   10
      ToolTipText     =   "Check this to turn off  PBC (playback control) on the disc (PBC is required for menus and chapters)"
      Top             =   4770
      Width           =   1215
   End
   Begin VB.TextBox txt_volumenumber 
      Height          =   285
      Left            =   5458
      TabIndex        =   9
      Text            =   "1"
      ToolTipText     =   "The numbered disc of your album (e.g., ""1"" of 3)"
      Top             =   4290
      Width           =   735
   End
   Begin VB.TextBox txt_volumecount 
      Height          =   285
      Left            =   2098
      TabIndex        =   8
      Text            =   "1"
      ToolTipText     =   "The total number of discs in your album"
      Top             =   4290
      Width           =   735
   End
   Begin VB.TextBox txt_albumid 
      Height          =   285
      Left            =   2098
      MaxLength       =   16
      TabIndex        =   7
      Text            =   "MYVCD"
      ToolTipText     =   "Album ID: max. of 16 characters (A-Z, 1-9 and _ characters only)"
      Top             =   3930
      Width           =   4095
   End
   Begin VB.TextBox txt_volumelabel 
      Height          =   285
      Left            =   2098
      MaxLength       =   32
      TabIndex        =   6
      Text            =   "VIDEOCD"
      ToolTipText     =   "ISO volume label: max. of 32 characters (A-Z, 1-9 and _ characters only)"
      Top             =   3570
      Width           =   4095
   End
   Begin VB.OptionButton opt_hqvcd 
      Caption         =   "HQVCD"
      Height          =   255
      Left            =   5342
      TabIndex        =   5
      ToolTipText     =   "A variant of SVCD -- the ""SVCD"" option is recommended"
      Top             =   3210
      Width           =   975
   End
   Begin VB.OptionButton opt_svcd 
      Caption         =   "SVCD"
      Height          =   255
      Left            =   4380
      TabIndex        =   4
      ToolTipText     =   "SVCD -- if you are making a SVCD (480x480/576 MPEG-2 video) this option is recommended"
      Top             =   3210
      Width           =   735
   End
   Begin VB.OptionButton opt_vcd2 
      Caption         =   "VCD 2.0"
      Height          =   255
      Left            =   3239
      TabIndex        =   3
      ToolTipText     =   "VCD 2.0 -- if you are making a VCD (352x240/288 MPEG-1 video) this option is recommended"
      Top             =   3210
      Value           =   -1  'True
      Width           =   915
   End
   Begin VB.OptionButton opt_vcd11 
      Caption         =   "VCD 1.1"
      Height          =   255
      Left            =   2098
      TabIndex        =   2
      ToolTipText     =   "VCD 1.1 -- only NTSC is officially supported / no menus"
      Top             =   3210
      Width           =   915
   End
   Begin VB.TextBox txt_inputnumber 
      Alignment       =   1  'Right Justify
      Height          =   285
      Left            =   5276
      Locked          =   -1  'True
      TabIndex        =   21
      TabStop         =   0   'False
      Text            =   "0"
      ToolTipText     =   "Number of source MPEG files selected (max. 98)"
      Top             =   1770
      Width           =   375
   End
   Begin VB.CommandButton cmd_about 
      BackColor       =   &H00C0FFFF&
      Caption         =   "About VCDXGEN"
      Height          =   1095
      Left            =   782
      Picture         =   "frm_vcdxgen.frx":030A
      Style           =   1  'Graphical
      TabIndex        =   15
      ToolTipText     =   "About VCDXGEN"
      Top             =   5130
      Width           =   1095
   End
   Begin VB.CommandButton cmd_cancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4202
      TabIndex        =   14
      ToolTipText     =   "Quit"
      Top             =   5850
      Width           =   1455
   End
   Begin VB.CommandButton cmd_rip 
      Caption         =   "Go!"
      Height          =   375
      Left            =   2522
      TabIndex        =   13
      ToolTipText     =   "Click to GO!"
      Top             =   5850
      Width           =   1455
   End
   Begin VB.CommandButton cmd_input 
      Caption         =   "Add..."
      Default         =   -1  'True
      Height          =   255
      Left            =   5876
      TabIndex        =   0
      ToolTipText     =   "Add MPEG files to the S/VCD"
      Top             =   1770
      Width           =   975
   End
   Begin VB.CommandButton cmd_output 
      Caption         =   "Browse..."
      Height          =   255
      Left            =   5883
      TabIndex        =   1
      ToolTipText     =   "Browse for the output XML filename"
      Top             =   2610
      Width           =   975
   End
   Begin VB.TextBox txt_output 
      Height          =   285
      Left            =   243
      Locked          =   -1  'True
      TabIndex        =   18
      TabStop         =   0   'False
      ToolTipText     =   "Specify the output XML filename"
      Top             =   2610
      Width           =   5415
   End
   Begin VB.Frame Frame1 
      Caption         =   "What does VCDXGEN do?"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1335
      Left            =   236
      TabIndex        =   16
      Top             =   210
      Width           =   6615
      Begin VB.Label Label1 
         Caption         =   $"frm_vcdxgen.frx":0614
         Height          =   855
         Left            =   1080
         TabIndex        =   17
         Top             =   360
         Width           =   5295
      End
      Begin VB.Image Image1 
         Height          =   480
         Left            =   240
         Picture         =   "frm_vcdxgen.frx":0724
         Top             =   360
         Width           =   480
      End
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   2156
      Top             =   1650
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Label Label7 
      Caption         =   "Volume Number:"
      Height          =   255
      Left            =   4138
      TabIndex        =   27
      ToolTipText     =   "The numbered disc of your album (e.g., ""1"" of 3)"
      Top             =   4335
      Width           =   1215
   End
   Begin VB.Label Label6 
      Caption         =   "Volume Count:"
      Height          =   255
      Left            =   778
      TabIndex        =   26
      ToolTipText     =   "The total number of discs in your album"
      Top             =   4335
      Width           =   1215
   End
   Begin VB.Label Label5 
      Caption         =   "Album ID:"
      Height          =   255
      Left            =   778
      TabIndex        =   25
      ToolTipText     =   "The name (ID) of your S/VCD ""Album"""
      Top             =   3975
      Width           =   1215
   End
   Begin VB.Label Label4 
      Caption         =   "Volume Label:"
      Height          =   255
      Left            =   778
      TabIndex        =   24
      ToolTipText     =   "This will be the name of your disc that appears on the PC"
      Top             =   3610
      Width           =   1215
   End
   Begin VB.Label Label3 
      Caption         =   "S/VCD Type:"
      Height          =   255
      Left            =   778
      TabIndex        =   23
      ToolTipText     =   "Choose the type of disc you want"
      Top             =   3210
      Width           =   1095
   End
   Begin VB.Label Label2 
      Caption         =   "Number of MPEG files selected:"
      Height          =   375
      Left            =   2876
      TabIndex        =   22
      ToolTipText     =   "The number of source MPEG files selected (max. 98)"
      Top             =   1820
      Width           =   2295
   End
   Begin VB.Label lbl_input 
      Caption         =   "Load source MPEG files:"
      Height          =   255
      Left            =   236
      TabIndex        =   20
      ToolTipText     =   "Load the source MPEG files"
      Top             =   1820
      Width           =   1935
   End
   Begin VB.Label lbl_output 
      Caption         =   "Save XML descriptor file:"
      Height          =   255
      Left            =   236
      TabIndex        =   19
      ToolTipText     =   "Specify the output XML filename"
      Top             =   2370
      Width           =   2415
   End
End
Attribute VB_Name = "frm_vcdxgen"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim inputnumber As Integer
Dim inputlist As String
Dim defdirectory As String
Dim crlf As String
Dim objConsole As CConsole
Dim batchfile As String
Dim listfile As String
Dim logfile As String

Private Sub cmd_about_Click()
    frm_vcdxgen_about.Show vbModal
End Sub


Private Sub cmd_cancel_Click()
    frm_mainmenu.Enabled = True
    frm_mainmenu.WindowState = 0

    Unload Me
End Sub


Private Sub cmd_input_Click()
    'inputnumber and inputlist tranfer
        frm_vcdxgen.Tag = inputnumber & crlf & inputlist
    frm_vcdxgen_load.Show vbModal
    
    'receive data from frm_vcdxgen_load
    Dim sentdata As String
    sentdata = frm_vcdxgen.Tag
    frm_vcdxgen.Tag = ""  'clear tag
    
    'cut the number and list data from data
    Dim sentdatalength As Integer
    sentdatalength = Len(sentdata)
    
    For loopy = 1 To sentdatalength
        If Mid(sentdata, loopy, 2) = crlf Then
            Dim inputlengthtemp As String
            inputlengthtemp = Left(sentdata, loopy - 1)
            inputnumber = Val(inputlengthtemp)
            inputlist = Mid(sentdata, loopy + 2)
            
            txt_inputnumber.text = inputnumber
            Exit Sub
        End If
    Next loopy

End Sub

Private Sub cmd_output_Click()
    ' Set CancelError is True
    CommonDialog1.CancelError = True
    On Error GoTo ErrHandler
    ' Set flags
    CommonDialog1.Flags = cdlOFNHideReadOnly
    ' Set filters
    CommonDialog1.Filter = "All Files (*.*)|*.*|XML Files " & _
    "(*.xml)|*.xml"
    ' Specify default filter
    CommonDialog1.FilterIndex = 2
    ' Display the Save dialog box
    CommonDialog1.ShowSave
    ' Display name of selected file
    
    txt_output.text = CommonDialog1.filename
    CommonDialog1.filename = ""
    Exit Sub
    
ErrHandler:
    'User pressed the Cancel button
    Exit Sub
    
End Sub


Private Sub cmd_rip_Click()
    Dim outputfile As String
    Dim switches As String
    Dim command As String
    Dim outputdirectory As String
        
    outputfile = ""
    switches = ""
    command = ""
    outputdirectory = ""
    
    'A number of checks to make sure that entered data is valid
    'Any files selected?
    If inputnumber = 0 Then
        mboxpress = MsgBox("You haven't selected any video files to put on the" & Chr(13) & _
        "S/VCD!  You must select at least one video file.", vbOKOnly + vbInformation, "Information")
        
        Exit Sub
    End If
    
    'A save file selected?
    If txt_output.text = "" Then
        mboxpress = MsgBox("You have not set an output file!" _
        , vbInformation + vbOKOnly, "Information")
        Exit Sub
    End If
 
    outputfile = "--output-file=" & Chr(34) & txt_output.text & Chr(34)
    
    'Is the volume label valid?
    Dim volumelabel As String
    Dim volumelabellength As Integer
    Dim volchr As String
    volumelabel = txt_volumelabel.text
    volumelabellength = Len(volumelabel)
    
    For loopy = 1 To volumelabellength
        volchr = Mid(volumelabel, loopy, 1)
        flag = 0
        
        If Asc(volchr) < 48 Then flag = 1
        
        If flag = 0 Then
            If Asc(volchr) <= 57 Then flag = 2
        End If
        
        If flag = 0 Then
            If Asc(volchr) < 65 Then flag = 1
        End If
        
        If flag = 0 Then
            If Asc(volchr) <= 90 Then flag = 2
        End If
        
        If flag = 0 Then
            If Asc(volchr) = 95 Then flag = 2
        End If
        
        If flag = 0 Then flag = 1
        
        If flag = 1 Then
            mboxpress = MsgBox("The Volume Label can only contain CAPITAL characters (A-Z)," & Chr(13) & _
            "numbers (0-9), and underscore (_).", vbOKOnly + vbInformation, "Information")
            Exit Sub
        End If
        
        flag = 0
        Next loopy
    
    If volumelabel = "" Then volumelabel = " "
    
    'is the AlbumID valid?
    Dim albumid As String
    Dim albumidlength As Integer
    Dim albchr As String
    
    albumid = txt_albumid.text
    albumidlength = Len(albumid)
    
    For loopy = 1 To albumidlength
        albchr = Mid(albumid, loopy, 1)
        flag = 0
        
        If Asc(albchr) < 48 Then flag = 1
        
        If flag = 0 Then
            If Asc(albchr) <= 57 Then flag = 2
        End If
        
        If flag = 0 Then
            If Asc(albchr) < 65 Then flag = 1
        End If
        
        If flag = 0 Then
            If Asc(albchr) <= 90 Then flag = 2
        End If
        
        If flag = 0 Then
            If Asc(albchr) = 95 Then flag = 2
        End If
        
        If flag = 0 Then flag = 1
        
        If flag = 1 Then
            mboxpress = MsgBox("The Album ID can only contain CAPITAL characters (A-Z)," & Chr(13) & _
            "numbers (0-9), and underscore (_).", vbOKOnly + vbInformation, "Information")
            Exit Sub
        End If
        
        flag = 0
    Next loopy
    
    If albumid = "" Then albumid = " "

    'is the volumecount valid?
    Dim volumecounttemp As String
    Dim volumecount As Long
    Dim volumecountlength As Integer
    Dim volcountchr As String
    
    '1 is it a number?
    volumecounttemp = txt_volumecount.text
    volumecountlength = Len(volumecounttemp)
    
    For loopy = 1 To volumecountlength
        volcountchr = Mid(volumecounttemp, loopy, 1)
        flag = 0
        
        If Asc(volcountchr) < 48 Then flag = 1
        
        If flag = 0 Then
            If Asc(volcountchr) <= 57 Then flag = 2
        End If
        
        If flag = 0 Then flag = 1
        
        If flag = 1 Then
            mboxpress = MsgBox("The Volume Count must be a number between 1 and 65535" _
            , vbOKOnly + vbInformation, "Information")
            Exit Sub
        End If
        
        flag = 0
    Next loopy
    
    '2 is it between 1 - 65335?
    volumecount = Val(volumecounttemp)
    If volumecount < 1 Then
        mboxpress = MsgBox("The Volume Count must be a number between 1 and 65535" _
        , vbOKOnly + vbInformation, "Information")
        Exit Sub
    End If
    
    If volumecount > 65335 Then
        mboxpress = MsgBox("The Volume Count must be a number between 1 and 65535" _
        , vbOKOnly + vbInformation, "Information")
        Exit Sub
    End If
        
    'is the volume number valid?
    Dim volumenumbertemp As String
    Dim volumenumber As Long
    Dim volumenumberlength As Integer
    Dim volnumberchr As String
    
    '1 is it a number?
    volumenumbertemp = txt_volumenumber.text
    volumenumberlength = Len(volumenumbertemp)
    
    For loopy = 1 To volumenumberlength
        volnumberchr = Mid(volumenumbertemp, loopy, 1)
        flag = 0
        
        If Asc(volnumberchr) < 48 Then flag = 1
        
        If flag = 0 Then
            If Asc(volnumberchr) <= 57 Then flag = 2
        End If
        
        If flag = 0 Then flag = 1
        
        If flag = 1 Then
            mboxpress = MsgBox("The Volume Number must be a number between 1 and 65535" _
            , vbOKOnly + vbInformation, "Information")
            Exit Sub
        End If
        
        flag = 0
    Next loopy
    
    '2 is it between 1 - 65335?
    volumenumber = Val(volumenumbertemp)
    If volumenumber < 1 Then
        mboxpress = MsgBox("The Volume Number must be a number between 1 and 65535" _
        , vbOKOnly + vbInformation, "Information")
        Exit Sub
    End If
    
    If volumenumber > 65335 Then
        mboxpress = MsgBox("The Volume Number must be a number between 1 and 65535" _
        , vbOKOnly + vbInformation, "Information")
        Exit Sub
    End If

    '3 is it smaller than volume count?
    If volumenumber > volumecount Then
        mboxpress = MsgBox("The Volume Number must be smaller than the Volume Count" _
        , vbOKOnly + vbInformation, "Information")
        Exit Sub
    End If
        
    
    'outputdirectory
    Dim outputlength As Integer
    Dim directorylength As Integer
    outputlength = Len(txt_output.text)
    For loopy = outputlength To 1 Step -1
        If Mid(txt_output.text, loopy, 1) = "\" Then
            outputdirectory = Left(txt_output.text, loopy)
            directorylength = loopy
            Exit For
        End If
    Next loopy
            

    'type
    Dim vcdtype As String
    If opt_vcd11.Value = True Then vcdtype = "--type=vcd11"
    If opt_vcd2.Value = True Then vcdtype = "--type=vcd2"
    If opt_svcd.Value = True Then vcdtype = "--type=svcd"
    If opt_hqvcd.Value = True Then vcdtype = "--type=hqvcd"
    
    'switches
    If chk_nopbc.Enabled = True Then
        If chk_nopbc.Value = 1 Then switches = "--nopbc"
    End If
    
    If chk_brokensvcd.Enabled = True Then
        If chk_brokensvcd.Value = 1 Then switches = switches & " --broken-svcd-mode"
    End If
    
    If chk_update.Enabled = True Then
        If chk_update.Value = 1 Then switches = switches & " --update-scan-offsets"
    End If

execution:
    txt_output.Enabled = False
    cmd_output.Enabled = False
    txt_inputnumber.Enabled = False
    cmd_input.Enabled = False
    opt_vcd11.Enabled = False
    opt_vcd2.Enabled = False
    opt_svcd.Enabled = False
    opt_hqvcd.Enabled = False
    txt_volumelabel.Enabled = False
    txt_albumid.Enabled = False
    txt_volumecount.Enabled = False
    txt_volumenumber.Enabled = False
    chk_nopbc.Enabled = False
    chk_brokensvcd.Enabled = False
    chk_update.Enabled = False
    cmd_about.Enabled = False
    cmd_rip.Enabled = False
    cmd_cancel.Enabled = False
    
    'write the list file
    listfile = ""
    listfile = defdirectory & "list.txt"
    
    On Error Resume Next
    Kill (listfile)  'if there was a file to overwrite, it's now dead

    Open listfile For Binary Access Write As #1
    Put #1, 1, inputlist
    Close #1

    command = "vcdxgen.exe " & switches & _
    " -v " & " " & vcdtype & " -l " & volumelabel & _
    " --info-album-id=" & albumid & " --volume-count=" & volumecount & _
    " --volume-number=" & volumenumber & " " & outputfile & " @list.txt > " & Chr(34) & outputdirectory & "log.txt" & Chr(34)
    
    'setup batchfile
    batchfile = ""
    batchfile = defdirectory & "run.bat"
    
    'setup logfile
    logfile = ""
    logfile = outputdirectory & "log.txt"
    
    ChDir (defdirectory)
    
    On Error Resume Next
    Kill (batchfile)  'if there was a file to overwrite, it's now dead

        
    Dim batchfilecontents As String
    Dim crlf As String
    crlf = Chr(13) & Chr(10)
    batchfilecontents = _
        "echo off" & crlf & _
        "cls" & crlf & _
        "echo VCDXGEN Tool - Batch File (vitualis productions)" & crlf & _
        "echo ================================================" & crlf & _
        "echo Ouput directory: " & outputdirectory & crlf & _
        "echo Output XML file: " & Mid(txt_output.text, directorylength + 1) & crlf & _
        "echo Option switches: " & switches & " -v" & crlf & _
        "echo." & crlf & _
        "echo Please wait for this process to complete. It may take" & crlf & _
        "echo a few minutes." & crlf & _
        command & crlf & _
        "echo." & crlf & _
        "echo Finished!" & crlf & _
        "pause" & crlf & _
        "cls" & crlf & _
        "echo ***end***"

    'generate the batch file
    Open batchfile For Binary Access Write As #1
    Put #1, 1, batchfilecontents
    Close #1
    
    'everything is now passed on to the timer to search for
    'the end of the console task
    Timer1.Enabled = True
    Timer1.Tag = 0
    Timer1.Interval = 100

End Sub

Private Sub Form_Load()
    defdirectory = frm_mainmenu.Tag
    
    If Right(defdirectory, 1) <> "\" Then
    defdirectory = defdirectory & "\"
    End If
    
    defdirectory = defdirectory & "VCDImager\"
        
    inputnumber = 0
    inputlist = ""
    txt_inputnumber = inputnumber
    crlf = Chr(13) & Chr(10)
    
    Timer1.Enabled = False

End Sub

Private Sub opt_hqvcd_Click()
    If opt_hqvcd.Value = True Then
        chk_nopbc.Enabled = True
        chk_brokensvcd.Enabled = True
        chk_update.Enabled = True
    End If

End Sub

Private Sub opt_svcd_Click()
    If opt_svcd.Value = True Then
        chk_nopbc.Enabled = True
        chk_brokensvcd.Enabled = True
        chk_update.Enabled = True
    End If
    
End Sub

Private Sub opt_vcd11_Click()
    If opt_vcd11.Value = True Then
        chk_nopbc.Enabled = False
        chk_brokensvcd.Enabled = False
        chk_update.Enabled = False
    End If
End Sub

Private Sub opt_vcd2_Click()
    If opt_vcd2.Value = True Then
        chk_nopbc.Enabled = True
        chk_brokensvcd.Enabled = False
        chk_update.Enabled = False
    End If
End Sub

Private Sub Timer1_Timer()

    If Timer1.Tag = 0 Then
        'Create console window
        Set objConsole = New CConsole
        
        With objConsole
        
            ' set the title
            .title = "GNU VCDImager Tools GUI -- VCDXGEN Tool"
            
            ' set some properties
            .ForeColor = FOREGROUND_GREEN
            .ForeIntense = True
            
        End With
            
        'execute the generated batch file
        objConsole.StartApp "run.bat"
           
           
        'minimise the form so the dos windows has complete focus
        frm_vcdxgen.WindowState = 1
        
        Timer1.Tag = 1
        Timer1.Interval = 250
        Exit Sub
    End If
        
    'search for the keyword "***end***" in the console window
    'if this is found, it means that the process has finished
    
    Dim keywrd As String
    keywrd = objConsole.WordScan
    
    If keywrd = "***end***" Then
        
        'Close Console window
        Set objConsole = Nothing
    
        'Open logfile -- to see if everything worked...
        Dim success As Boolean
        success = True
        
        Dim fileopendata As String
        
        fileopendata = filedata(logfile)
                
        If Left(fileopendata, 52) <> "(Super) VideoCD xml description created successfully" Then success = False
        
        If success = True Then
        Dim mboxtext As String
        
        mboxtext = "The process has finished successfully!" & Chr(13) & Chr(13) & _
        "Do you want to load the generated XML file?"
        
        mboxpress = MsgBox(mboxtext, vbInformation + vbYesNo + vbDefaultButton2, "Information")
        If mboxpress = vbYes Then
            loadtext (txt_output.text)
        End If
        End If
        
        If success = False Then
        mboxpress = MsgBox("There appears to have been an error!" & Chr(13) _
        & Chr(13) & "The error may have been shown in the console window" & Chr(13) & _
        "before it closed.  Otherwise, check your MPEG files.", vbInformation + vbOKOnly, "Information")
        End If
        
        Kill (batchfile)  'delete the temporary batch file
        Kill (listfile)  'delete temporary list file
        
        frm_vcdxgen.WindowState = 0
    
        txt_output.Enabled = True
        cmd_output.Enabled = True
        txt_inputnumber.Enabled = True
        cmd_input.Enabled = True
        
        If opt_vcd11.Value = True Then
            chk_nopbc.Enabled = False
            chk_brokensvcd.Enabled = False
            chk_update.Enabled = False
        End If
    
        If opt_vcd2.Value = True Then
            chk_nopbc.Enabled = True
            chk_brokensvcd.Enabled = False
            chk_update.Enabled = False
        End If
        
        If opt_svcd.Value = True Then
            chk_nopbc.Enabled = True
            chk_brokensvcd.Enabled = True
            chk_update.Enabled = True
        End If
    
        If opt_hqvcd.Value = True Then
            chk_nopbc.Enabled = True
            chk_brokensvcd.Enabled = True
            chk_update.Enabled = True
        End If
    
        opt_vcd11.Enabled = True
        opt_vcd2.Enabled = True
        opt_svcd.Enabled = True
        opt_hqvcd.Enabled = True
        txt_volumelabel.Enabled = True
        txt_albumid.Enabled = True
        txt_volumecount.Enabled = True
        txt_volumenumber.Enabled = True
        cmd_about.Enabled = True
        cmd_rip.Enabled = True
        cmd_cancel.Enabled = True

        Timer1.Enabled = False
        Timer1.Tag = 0
        Exit Sub
    End If

        Timer1.Interval = 250
        Exit Sub

End Sub
