Attribute VB_Name = "mod_general"
Public Function cdrsize(ByVal imagelength_min As Integer) As String
        If imagelength_min < 21 Then
            cdrsize = "It should fit on a 21min/180MB (8 cm) CD-R disc."
        End If
        
        If imagelength_min = 21 Then
            cdrsize = "It may fit on a 21min/180MB (8 cm) CD-R disc with" & Chr(13) & _
            "a small degree of overburning. Otherwise, use a" & Chr(13) & _
            "74min/650MB CD-R disc."
        End If
        
        If imagelength_min < 74 And imagelength_min > 21 Then
            cdrsize = "It should fit on a 74min/650MB CD-R disc."
        End If
        
        If imagelength_min = 74 Then
            cdrsize = "It may fit on a 74min/650MB CD-R disc with a small" & Chr(13) & _
            "degree of overburning.  Otherwise, use an 80min/700MB" & Chr(13) & _
            "CD-R disc."
        End If
        
        If imagelength_min < 80 And imagelength_min > 74 Then
             cdrsize = "It should fit on an 80min/700MB CD-R disc."
        End If
       
        If imagelength_min = 80 Then
            cdrsize = "It may fit on an 80min/700MB CD-R disc with a small" & Chr(13) & _
            "degree of overburning.  Otherwise, use a 90min/790MB" & Chr(13) & _
            "CD-R disc."
        End If
        
        If imagelength_min < 90 And imagelength_min > 80 Then
             cdrsize = "It should fit on a 90min/790MB CD-R disc."
        End If

        If imagelength_min = 90 Then
            cdrsize = "It may fit on a 90min/790MB CD-R disc with a small" & Chr(13) & _
            "degree of overburning.  Otherwise, use a 99min/870MB" & Chr(13) & _
            "CD-R disc."
        End If

         If imagelength_min > 90 Then
            cdrsize = "It may fit on a 99min/870MB CD-R disc. Use with caution!"
        End If

End Function

Public Function crlfcount(ByVal text As String) As Integer
        'count the total number of crlf in the text string
        Dim stringsearch As String
        Dim count As Integer
        stringsearch = ""
        count = 0
        
        For loopy = 1 To Len(text)
            stringsearch = Mid(text, loopy, 2)
            If stringsearch = vbCrLf Then count = count + 1
        Next loopy
        
        crlfcount = count
End Function

Public Function filedata(ByVal logfile As String) As String
        Dim fileopenlength As Long
        Dim fileopendata As String
        
        Open logfile For Binary Access Read As #1
        fileopenlength = LOF(1)
        fileopendata = String(fileopenlength, " ")
        Get #1, 1, fileopendata
        Close #1

        filedata = fileopendata
End Function

Public Function bottomline(ByVal text As String) As String
        Dim position As Long
        position = 0
        
        fileopenlength = Len(text)
        
        'trim ending CR and LFs
        For loopy = (fileopenlength - 1) To 1 Step -1
            If Mid(text, loopy, 1) <> Chr(13) Then
                If Mid(text, loopy, 1) <> Chr(10) Then
                    position = loopy
                    Exit For
                End If
            End If
        Next loopy
        
        text = Left(text, position)
        fileopenlength = position
        
        position = 0
        
        'look for previous CRLF and hence last line
        Dim stringsearch As String
        stringsearch = ""
        For loopy = (fileopenlength - 2) To 1 Step -1
            stringsearch = Mid(text, loopy, 2)
            If stringsearch = vbCrLf Then
                position = loopy + 2
                Exit For
            End If
        Next loopy
        
        bottomline = Mid(text, position)

End Function

Public Function loadtext(ByVal path As String)
    Dim execute As String
    execute = "notepad " & Chr(34) & path & Chr(34)
    retvalue = Shell(execute, 1)
End Function
