VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frm_lkvcdxbuild 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "GNU VCDImager Tools GUI - lkVCDxBUILD"
   ClientHeight    =   4455
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7110
   ControlBox      =   0   'False
   Icon            =   "frm_lkvcdxbuild.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4455
   ScaleMode       =   0  'User
   ScaleWidth      =   7110
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Left            =   1800
      Top             =   3480
   End
   Begin VB.OptionButton opt_nrg 
      Caption         =   "NRG (Nero)"
      Height          =   255
      Left            =   4560
      TabIndex        =   3
      ToolTipText     =   "The Nero Burning Rom image format"
      Top             =   2370
      Width           =   1215
   End
   Begin VB.OptionButton opt_toc 
      Caption         =   "CDRDAO/TOC"
      Height          =   255
      Left            =   2880
      TabIndex        =   2
      ToolTipText     =   "The TOC format -- the CUE/BIN format is better supported under Win32."
      Top             =   2370
      Width           =   1455
   End
   Begin VB.OptionButton opt_cuebin 
      Caption         =   "CUE/BIN"
      Height          =   255
      Left            =   1680
      TabIndex        =   1
      ToolTipText     =   "The CUE/BIN format is the best supported (including CDRWin, CDRDAO and Nero)"
      Top             =   2370
      Value           =   -1  'True
      Width           =   975
   End
   Begin VB.Frame Frame1 
      Caption         =   "What does lkVCDxBUILD do?"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1335
      Left            =   248
      TabIndex        =   11
      Top             =   120
      Width           =   6615
      Begin VB.Image Image1 
         Height          =   480
         Left            =   240
         Picture         =   "frm_lkvcdxbuild.frx":0442
         Top             =   360
         Width           =   480
      End
      Begin VB.Label Label1 
         Caption         =   $"frm_lkvcdxbuild.frx":0884
         Height          =   855
         Left            =   1080
         TabIndex        =   12
         Top             =   360
         Width           =   5295
      End
   End
   Begin VB.TextBox txt_output 
      Height          =   285
      Left            =   255
      Locked          =   -1  'True
      TabIndex        =   10
      TabStop         =   0   'False
      ToolTipText     =   "Specify the output CD image filename."
      Top             =   2640
      Width           =   5415
   End
   Begin VB.CommandButton cmd_output 
      Caption         =   "Browse..."
      Height          =   255
      Left            =   5895
      TabIndex        =   4
      ToolTipText     =   "Browse for the output image filename."
      Top             =   2640
      Width           =   975
   End
   Begin VB.CommandButton cmd_input 
      Caption         =   "Browse..."
      Height          =   255
      Left            =   5888
      TabIndex        =   0
      ToolTipText     =   "Browse for the input XML file."
      Top             =   1920
      Width           =   975
   End
   Begin VB.TextBox txt_input 
      Height          =   285
      Left            =   248
      Locked          =   -1  'True
      TabIndex        =   9
      TabStop         =   0   'False
      ToolTipText     =   "Specify the input file name."
      Top             =   1920
      Width           =   5415
   End
   Begin VB.CheckBox chk_s2336 
      Caption         =   "2336 byte sector mode"
      Height          =   255
      Left            =   3128
      TabIndex        =   5
      ToolTipText     =   "Generally not required -- turn on for 99 min CDs"
      Top             =   3120
      Width           =   2535
   End
   Begin VB.CommandButton cmd_rip 
      Caption         =   "Go!"
      Height          =   375
      Left            =   3128
      TabIndex        =   6
      ToolTipText     =   "Click to GO!"
      Top             =   3840
      Width           =   1455
   End
   Begin VB.CommandButton cmd_cancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4808
      TabIndex        =   7
      ToolTipText     =   "Quit"
      Top             =   3840
      Width           =   1455
   End
   Begin VB.CommandButton cmd_about 
      BackColor       =   &H00C0FFFF&
      Caption         =   "About lkVCDxBUILD"
      Height          =   1095
      Left            =   240
      Picture         =   "frm_lkvcdxbuild.frx":097C
      Style           =   1  'Graphical
      TabIndex        =   8
      ToolTipText     =   "About VCDXRIP"
      Top             =   3120
      Width           =   1215
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   6368
      Top             =   3000
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Label lbl_output 
      Caption         =   "Save CD Image:"
      Height          =   255
      Left            =   255
      TabIndex        =   14
      ToolTipText     =   "Specify the output CD image filename."
      Top             =   2400
      Width           =   1320
   End
   Begin VB.Label lbl_input 
      Caption         =   "Load XML file:"
      Height          =   255
      Left            =   255
      TabIndex        =   13
      ToolTipText     =   "Specify the input XML file."
      Top             =   1680
      Width           =   2415
   End
End
Attribute VB_Name = "frm_lkvcdxbuild"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim objConsole As CConsole
Dim crlf As String
Dim defdirectory As String
Dim batchfile As String
Dim logfile As String
Dim imagetype As String


Private Sub cmd_about_Click()
    frm_lkvcdxbuild_about.Show vbModal
End Sub

Private Sub cmd_cancel_Click()
    frm_mainmenu.Enabled = True
    frm_mainmenu.WindowState = 0

    Unload Me
End Sub

Private Sub cmd_input_Click()
    ' Set CancelError is True
    CommonDialog1.CancelError = True
    On Error GoTo ErrHandler
    ' Set flags
    CommonDialog1.Flags = cdlOFNHideReadOnly
    ' Set filters
    CommonDialog1.Filter = "All Files (*.*)|*.*|XML Files " & _
    "(*.xml)|*.xml"
    ' Specify default filter
    CommonDialog1.FilterIndex = 2
    ' Display the Open dialog box
    CommonDialog1.ShowOpen
    ' Display name of selected file

    txt_input.text = CommonDialog1.filename
    CommonDialog1.filename = ""
    Exit Sub
    
ErrHandler:
    'User pressed the Cancel button
    Exit Sub

End Sub

Private Sub cmd_output_Click()
    ' Set CancelError is True
    CommonDialog1.CancelError = True
    
    On Error GoTo ErrHandler
    ' Set flags
    CommonDialog1.Flags = cdlOFNHideReadOnly
    
    If opt_cuebin.Value = True Then
        ' Set filters
        CommonDialog1.Filter = "All Files (*.*)|*.*|BIN Files " & _
        "(*.bin)|*.bin"
    End If
    
    If opt_toc.Value = True Then
        ' Set filters
        CommonDialog1.Filter = "All Files (*.*)|*.*|TOC Files " & _
        "(*.toc)|*.toc"
    End If
    
    If opt_nrg.Value = True Then
        ' Set filters
        CommonDialog1.Filter = "All Files (*.*)|*.*|NRG Files " & _
        "(*.nrg)|*.nrg"
    End If
    
    ' Specify default filter
    CommonDialog1.FilterIndex = 2
    ' Display the Save dialog box
    CommonDialog1.ShowSave
    ' Display name of selected file

    txt_output.text = CommonDialog1.filename
    CommonDialog1.filename = ""
    Exit Sub
    
ErrHandler:
    'User pressed the Cancel button
    Exit Sub

End Sub

Private Sub cmd_rip_Click()
    Dim outputfile As String
    Dim inputfile As String
    Dim switches As String
    Dim command As String
    Dim outputdirectory As String
    Dim inputdirectory As String
    
    outputfile = ""
    inputfile = ""
    switches = ""
    imagetype = ""
    command = ""
    outputdirectory = ""
    
    'check if output has been set
    If txt_output.text = "" Then
        mboxpress = MsgBox("You have not set an output file!" _
        , vbInformation + vbOKOnly, "Information")
        Exit Sub
    End If
    
    'set output for CUE/BIN images
    If opt_cuebin.Value = True Then
        Dim cuebinname As String
        
        cuebinname = txt_output.text
        If Right(cuebinname, 4) = ".bin" Then
            cuebinnamelength = Len(cuebinname)
            cuebinname = Left(cuebinname, cuebinnamelength - 4)
        End If
        
        imagetype = "cuebin"
        outputfile = "-c " & Chr(34) & cuebinname & ".cue" & Chr(34) & _
        " -b " & Chr(34) & cuebinname & ".bin" & Chr(34)
    End If
    
    'set output for TOC images
    If opt_toc.Value = True Then
        Dim tocname As String
        
        tocname = txt_output.text
        If Right(tocname, 4) = ".toc" Then
            tocnamelength = Len(tocname)
            tocname = Left(tocname, tocnamelength - 4)
        End If
        
        imagetype = "tocimg"
        outputfile = "-c " & Chr(34) & tocname & Chr(34)
    End If
    
    'set output for NRG images
    If opt_nrg.Value = True Then
        Dim nrgname As String
        
        nrgname = txt_output.text
        If Right(nrgname, 4) = ".nrg" Then
            nrgnamelength = Len(nrgname)
            nrgname = Left(nrgname, nrgnamelength - 4)
        End If
        
        imagetype = "nrg"
        outputfile = "-b " & Chr(34) & nrgname & ".nrg" & Chr(34)
    End If

    
    'set outputdirectory
    Dim outputlength As Integer
    Dim directorylength As Integer
    
    outputlength = Len(txt_output.text)
    For loopy = outputlength To 1 Step -1
        If Mid(txt_output.text, loopy, 1) = "\" Then
            outputdirectory = Left(txt_output.text, loopy)
            directorylength = loopy
            Exit For
        End If
    Next loopy
    
    'check if inputfile has been set
    If txt_input.text = "" Then
        mboxpress = MsgBox("You have not loaded an input XML file!" _
        , vbInformation + vbOKOnly, "Information")
        Exit Sub
    End If
    
    'set inputfile
    inputfile = "-x " & Chr(34) & txt_input.text & Chr(34)

    'set inputdirectory
    Dim inputlength As Integer
    Dim idirectorylength As Integer
    
    inputlength = Len(txt_input.text)
    For loopy = inputlength To 1 Step -1
        If Mid(txt_input.text, loopy, 1) = "\" Then
            inputdirectory = Left(txt_input.text, loopy)
            idirectorylength = loopy
            Exit For
        End If
    Next loopy

    
    'settings
    If opt_nrg.Value = False Then
        If chk_s2336.Value = 1 Then
        switches = "-s"
        End If
    End If
    
    'execution of task
    opt_cuebin.Enabled = False
    opt_toc.Enabled = False
    opt_nrg.Enabled = False
    txt_output.Enabled = False
    cmd_output.Enabled = False
    txt_input.Enabled = False
    cmd_input.Enabled = False
    chk_s2336.Enabled = False
    cmd_about.Enabled = False
    cmd_rip.Enabled = False
    cmd_cancel.Enabled = False
    
    command = Chr(34) & defdirectory & "lkvcdxbuild.exe" & Chr(34) & " " & inputfile & " -i " & imagetype & " " & outputfile & " " & switches & " -v 2 > " & Chr(34) & outputdirectory & "log.txt" & Chr(34)

    'setup batchfile
    batchfile = ""
    batchfile = inputdirectory & "run.bat"
    
    'setup logfile
    logfile = ""
    logfile = outputdirectory & "log.txt"
    
    ChDir (inputdirectory)
    
    On Error Resume Next
    Kill (batchfile)  'if there was a file to overwrite, it's now dead
        
    Dim batchfilecontents As String
    Dim crlf As String
    crlf = Chr(13) & Chr(10)
    batchfilecontents = _
        "echo off" & crlf & _
        "cls" & crlf & _
        "echo lkVCDxBUILD Tool - Batch File (vitualis productions)" & crlf & _
        "echo ====================================================" & crlf & _
        "echo Input XML File:   " & txt_input.text & crlf & _
        "echo Output directory: " & outputdirectory & crlf & _
        "echo Output imagetype: " & imagetype & crlf & _
        "echo Output image:     " & Mid(txt_output.text, directorylength + 1) & crlf & _
        "echo Option switches:  " & switches & " -v 2" & crlf & _
        "echo." & crlf & _
        "echo Please wait for this process to complete. It may take" & crlf & _
        "echo a few minutes." & crlf & _
        command & crlf & _
        "echo." & crlf & _
        "echo Finished!" & crlf & _
        "pause" & crlf & _
        "cls" & crlf & _
        "echo ***end***"
        
    'generate the batch file
    Open batchfile For Binary Access Write As #1
    Put #1, 1, batchfilecontents
    Close #1
    
    'everything is now passed on to the timer to search for
    'the end of the console task
    Timer1.Enabled = True
    Timer1.Tag = 0
    Timer1.Interval = 100

End Sub

Private Sub Form_Load()
    defdirectory = frm_mainmenu.Tag
    
    If Right(defdirectory, 1) <> "\" Then
    defdirectory = defdirectory & "\"
    End If
    
    defdirectory = defdirectory & "lkVCDXBUILD\"
    
    Timer1.Enabled = False
    crlf = Chr(13) & Chr(10)

End Sub

Private Sub opt_cuebin_Click()
    If opt_cuebin.Value = True Then chk_s2336.Enabled = True
End Sub

Private Sub opt_cuebin_GotFocus()
    If opt_cuebin.Value = True Then chk_s2336.Enabled = True
End Sub

Private Sub opt_cuebin_LostFocus()
    If opt_cuebin.Value = True Then chk_s2336.Enabled = True
End Sub

Private Sub opt_nrg_Click()
    If opt_nrg.Value = True Then chk_s2336.Enabled = False
    If opt_nrg.Value = False Then chk_s2336.Enabled = True

End Sub

Private Sub opt_nrg_GotFocus()
    If opt_nrg.Value = True Then chk_s2336.Enabled = False
    If opt_nrg.Value = False Then chk_s2336.Enabled = True
End Sub

Private Sub opt_nrg_LostFocus()
    If opt_nrg.Value = True Then chk_s2336.Enabled = False
    If opt_nrg.Value = False Then chk_s2336.Enabled = True
End Sub

Private Sub opt_toc_Click()
    If opt_toc.Value = True Then chk_s2336.Enabled = True
End Sub

Private Sub opt_toc_GotFocus()
    If opt_toc.Value = True Then chk_s2336.Enabled = True
End Sub

Private Sub opt_toc_LostFocus()
    If opt_toc.Value = True Then chk_s2336.Enabled = True
End Sub

Private Sub Timer1_Timer()
    
    If Timer1.Tag = 0 Then
        'Create console window
        Set objConsole = New CConsole
        
        With objConsole
        
            ' set the title
            .title = "GNU VCDImager Tools GUI -- lkVCDxBUILD Tool"
            
            ' set some properties
            .ForeColor = FOREGROUND_GREEN
            .ForeIntense = True
            
        End With
            
        'execute the generated batch file
        objConsole.StartApp "run.bat"
           
           
        'minimise the form so the dos windows has complete focus
        frm_lkvcdxbuild.WindowState = 1
    
        Timer1.Tag = 1
        Timer1.Interval = 250
        Exit Sub
    End If
    
    'search for the keyword "***end***" in the console window
    'if this is found, it means that the process has finished
    
    Dim keywrd As String
    keywrd = objConsole.WordScan
    
    If keywrd = "***end***" Then
        'Close Console window
        Set objConsole = Nothing
    
        'Open logfile -- to see if everything worked...
        Dim success As Boolean
        success = True
        
        Dim fileopendata As String
        
        fileopendata = filedata(logfile)
        
        'does logfile have 2 or more crlf?
        Dim count As Integer
        count = crlfcount(fileopendata)
        
        If count < 2 Then success = False
        
        If success = True Then
        'find last line of the logfile
        Dim lastline As String
        lastline = bottomline(fileopendata)
        
        If Left(lastline, 20) <> "   INFO: finished ok" Then success = False
        End If
        
        If success = True Then
        Dim imagelength_min As Integer
        Dim imagelength_sec As Integer
        Dim imagelength_frm As Integer
        Dim imagelength_temp As String
        
        imagelength_temp = Right(lastline, 10)
        
        imagelength_min = Val(Mid(imagelength_temp, 2, 2))
        imagelength_sec = Val(Mid(imagelength_temp, 5, 2))
        imagelength_frm = Val(Mid(imagelength_temp, 8, 2))
        
        Dim mboxtext As String
        Dim imagelength As String
        Dim cdrsize_rec As String
        
        imagelength = "The image size is: " & imagelength_min & " minutes, " & _
        imagelength_sec & " seconds, " & imagelength_frm & " sectors."
        
        cdrsize_rec = cdrsize(imagelength_min)
      
        mboxtext = "The process has finished successfully!" & Chr(13) & Chr(13) & _
        imagelength & Chr(13) & Chr(13) & cdrsize_rec & Chr(13) & Chr(13) & _
        "Do you want to read the log file?"
        
        mboxpress = MsgBox(mboxtext, vbInformation + vbYesNo + vbDefaultButton2, "Information")
        If mboxpress = vbYes Then
            loadtext (logfile)
        End If
        End If
        
        If success = False Then
        mboxpress = MsgBox("There appears to have been an error!" & Chr(13) _
        & Chr(13) & "The error may have been shown in the console window" & Chr(13) & _
        "before it closed.  Otherwise, check your XML file.", vbInformation + vbOKOnly, "Information")
        End If
        
        Kill (batchfile)  'delete the temporary batch file
        
        frm_lkvcdxbuild.WindowState = 0
        
        opt_cuebin.Enabled = True
        opt_toc.Enabled = True
        opt_nrg.Enabled = True
        
        If imagetype = "cuebin" Then
            opt_cuebin.Value = True
            opt_toc.Value = False
            opt_nrg.Value = False
        End If
        
        If imagetype = "tocimg" Then
            opt_cuebin.Value = False
            opt_toc.Value = True
            opt_nrg.Value = False
        End If
        
        If imagetype = "nrg" Then
            opt_cuebin.Value = False
            opt_toc.Value = False
            opt_nrg.Value = True
        End If
        
        txt_output.Enabled = True
        cmd_output.Enabled = True
        txt_input.Enabled = True
        cmd_input.Enabled = True
        
        If opt_nrg.Value = False Then
            chk_s2336.Enabled = True
        End If
        cmd_about.Enabled = True
        cmd_rip.Enabled = True
        cmd_cancel.Enabled = True
            
        Timer1.Enabled = False
        Timer1.Tag = 0
        Exit Sub
    End If

        Timer1.Interval = 250
        Exit Sub

End Sub
