VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frm_vcdimager_load 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Load MPEG files..."
   ClientHeight    =   4860
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7035
   Icon            =   "frm_vcdimager_load.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4860
   ScaleWidth      =   7035
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txt_inputnumber 
      Alignment       =   1  'Right Justify
      Height          =   285
      Left            =   2670
      Locked          =   -1  'True
      TabIndex        =   6
      TabStop         =   0   'False
      Text            =   "0"
      ToolTipText     =   "Number of MPEG files loaded (maximum of 98)"
      Top             =   192
      Width           =   375
   End
   Begin VB.TextBox txt_inputlist 
      Height          =   3255
      Left            =   270
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   5
      TabStop         =   0   'False
      Top             =   792
      Width           =   6495
   End
   Begin VB.CommandButton cmd_cancel 
      Cancel          =   -1  'True
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   1350
      TabIndex        =   2
      ToolTipText     =   "Cancel any changes"
      Top             =   4294
      Width           =   975
   End
   Begin VB.CommandButton cmd_okay 
      Caption         =   "&Okay"
      Height          =   375
      Left            =   270
      TabIndex        =   1
      ToolTipText     =   "Accept the current list of MPEG files"
      Top             =   4294
      Width           =   975
   End
   Begin VB.CommandButton cmd_load 
      Caption         =   "&Load"
      Default         =   -1  'True
      Height          =   375
      Left            =   5790
      TabIndex        =   0
      ToolTipText     =   "Load another MPEG file"
      Top             =   4294
      Width           =   975
   End
   Begin VB.CommandButton cmd_delete 
      Caption         =   "&Delete Last"
      Height          =   375
      Left            =   4710
      TabIndex        =   3
      ToolTipText     =   "Remove the last added entry"
      Top             =   4294
      Width           =   975
   End
   Begin VB.CommandButton cmd_clear 
      Caption         =   "Clear List"
      Height          =   375
      Left            =   3630
      TabIndex        =   4
      ToolTipText     =   "Remove all the files on the list"
      Top             =   4294
      Width           =   975
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   2760
      Top             =   4054
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Label Label1 
      Caption         =   "Number of MPEG files loaded:"
      Height          =   255
      Left            =   270
      TabIndex        =   8
      ToolTipText     =   "Number of MPEG files loaded (maximum of 98)"
      Top             =   232
      Width           =   2175
   End
   Begin VB.Label label2 
      Caption         =   "Files:"
      Height          =   255
      Left            =   270
      TabIndex        =   7
      Top             =   552
      Width           =   2055
   End
End
Attribute VB_Name = "frm_vcdimager_load"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim inputnumber As Integer
Dim inputlist As String
Dim crlf As String


Private Sub cmd_cancel_Click()
    mboxpress = MsgBox("Are you sure that you want to cancel?" _
    , vbYesNo + vbInformation + vbDefaultButton2, "Question")
    
    If mboxpress = vbNo Then Exit Sub
    
    Unload Me

End Sub

Private Sub cmd_clear_Click()
    mboxpress = MsgBox("Are you sure that you want to clear the files loaded?" _
    , vbYesNo + vbInformation + vbDefaultButton2, "Question")
    
    If mboxpress = vbNo Then Exit Sub
    
    txt_inputnumber.Text = 0
    txt_inputlist.Text = ""
End Sub

Private Sub cmd_delete_Click()
    Dim listdata As String
    Dim listdatalength As Integer
    
    listdata = txt_inputlist.Text
    listdatalength = Len(listdata)
    
    'special case - no files left
    If txt_inputnumber.Text = 0 Then Exit Sub
    
    'special case - only one file left
    If txt_inputnumber.Text = 1 Then
        txt_inputnumber.Text = 0
        txt_inputlist.Text = ""
        Exit Sub
    End If
    
    'generic case
    For loopy = listdatalength To 1 Step -1
        If Mid(listdata, loopy, 2) = crlf Then
            txt_inputnumber.Text = txt_inputnumber.Text - 1
            txt_inputlist.Text = Left(txt_inputlist.Text, loopy - 1)
            Exit Sub
        End If
    Next loopy
            
End Sub

Private Sub cmd_load_Click()
    'deduce if there are already 98 selected items
    If txt_inputnumber = 98 Then
        mboxpress = MsgBox("You have already selected 98 MPEG files." & Chr(13) & Chr(13) & _
        "S/VCDs support a maximum of 98 MPEG video tracks." & Chr(13) & _
        "If you want to add more files, you will first have to" & Chr(13) & _
        "delete some from the list first.", vbOKOnly + vbInformation, _
        "Information")
        Exit Sub
    End If

    ' Set CancelError is True
    CommonDialog1.CancelError = True
    On Error GoTo ErrHandler
    ' Set flags
    CommonDialog1.Flags = cdlOFNHideReadOnly
    ' Set filters
    CommonDialog1.Filter = "All Files (*.*)|*.*|MPEG Files " & _
    "(*.mpg, *.mpeg)|*.mpg;*.mpeg"
    ' Specify default filter
    CommonDialog1.FilterIndex = 2
    ' Display the Open dialog box
    CommonDialog1.ShowOpen
    
    'add to the inputlist
    Dim loadlist As String
    
    loadlist = CommonDialog1.filename
    CommonDialog1.filename = ""
    
    txt_inputnumber.Text = txt_inputnumber.Text + 1
    
    If txt_inputnumber.Text = 1 Then
        txt_inputlist.Text = Chr(34) & loadlist & Chr(34)
        Exit Sub
    End If
        
    If txt_inputnumber.Text > 1 Then
        txt_inputlist.Text = txt_inputlist.Text & crlf & Chr(34) & loadlist & Chr(34)
        Exit Sub
    End If
        
ErrHandler:
    'User pressed the Cancel button
    Exit Sub


End Sub

Private Sub cmd_okay_Click()
    'set up transfer of data back to frm_vcdimager
    frm_vcdimager.Tag = ""
    frm_vcdimager.Tag = txt_inputnumber.Text & crlf & txt_inputlist.Text
    Unload Me
End Sub

Private Sub Form_Load()
    crlf = Chr(13) & Chr(10)

    'receive sent variables from vcdxgen
    Dim sentdata As String
    sentdata = frm_vcdimager.Tag
    frm_vcdimager.Tag = ""  'clear tag
    
    'cut the number and list data from data
    Dim sentdatalength As Integer
    sentdatalength = Len(sentdata)
    
    For loopy = 1 To sentdatalength
        If Mid(sentdata, loopy, 2) = crlf Then
            Dim inputlengthtemp As String
            inputlengthtemp = Left(sentdata, loopy - 1)
            inputlength = Val(inputlengthtemp)
            inputlist = Mid(sentdata, loopy + 2)
            
            txt_inputnumber.Text = inputlength
            txt_inputlist.Text = inputlist
            Exit Sub
        End If
    Next loopy

End Sub

