VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frm_vcdxminfo 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "GNU VCDImager Tools GUI - VCDXMINFO"
   ClientHeight    =   4455
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7110
   ControlBox      =   0   'False
   Icon            =   "frm_vcdxminfo.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4455
   ScaleWidth      =   7110
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Left            =   1560
      Top             =   3600
   End
   Begin VB.CheckBox chk_apsrelaxed 
      Caption         =   "Relax APS contraints"
      Height          =   255
      Left            =   4200
      TabIndex        =   4
      ToolTipText     =   "Check this to report APS data with ""relaxed"" constraints - not recommended unless you are using this feature"
      Top             =   3480
      Width           =   2055
   End
   Begin VB.CheckBox chk_aps 
      Caption         =   "APS data"
      Height          =   255
      Left            =   4200
      TabIndex        =   3
      ToolTipText     =   "Reports APS information -- recommended you keep this checked"
      Top             =   3120
      Value           =   1  'Checked
      Width           =   1335
   End
   Begin VB.CommandButton cmd_about 
      BackColor       =   &H00C0FFFF&
      Caption         =   "About VCDXMINFO"
      Height          =   1095
      Left            =   248
      Picture         =   "frm_vcdxminfo.frx":08CA
      Style           =   1  'Graphical
      TabIndex        =   7
      ToolTipText     =   "About VCDXMINFO"
      Top             =   3120
      Width           =   1095
   End
   Begin VB.CommandButton cmd_cancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4808
      TabIndex        =   6
      ToolTipText     =   "Quit"
      Top             =   3840
      Width           =   1455
   End
   Begin VB.CommandButton cmd_rip 
      Caption         =   "Go!"
      Height          =   375
      Left            =   3120
      TabIndex        =   5
      ToolTipText     =   "Click to GO!"
      Top             =   3840
      Width           =   1455
   End
   Begin VB.CheckBox chk_generic 
      Caption         =   "Generic Information"
      Height          =   255
      Left            =   1920
      TabIndex        =   2
      ToolTipText     =   "Reports generic information - it is recommended to keep this checked"
      Top             =   3120
      Value           =   1  'Checked
      Width           =   1695
   End
   Begin VB.TextBox txt_input 
      Height          =   285
      Left            =   248
      Locked          =   -1  'True
      TabIndex        =   11
      TabStop         =   0   'False
      ToolTipText     =   "Specify the MPEG file name"
      Top             =   1860
      Width           =   5415
   End
   Begin VB.CommandButton cmd_input 
      Caption         =   "Browse..."
      Height          =   255
      Left            =   5888
      TabIndex        =   0
      ToolTipText     =   "Browse for the MPEG file"
      Top             =   1860
      Width           =   975
   End
   Begin VB.CommandButton cmd_output 
      Caption         =   "Browse..."
      Height          =   255
      Left            =   5888
      TabIndex        =   1
      ToolTipText     =   "Browse for the output XML filename"
      Top             =   2580
      Width           =   975
   End
   Begin VB.TextBox txt_output 
      Height          =   285
      Left            =   248
      Locked          =   -1  'True
      TabIndex        =   10
      TabStop         =   0   'False
      ToolTipText     =   "Specify the output XML filename"
      Top             =   2580
      Width           =   5415
   End
   Begin VB.Frame Frame1 
      Caption         =   "What does VCDXMINFO do?"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1335
      Left            =   248
      TabIndex        =   8
      Top             =   180
      Width           =   6615
      Begin VB.Label Label1 
         Caption         =   $"frm_vcdxminfo.frx":0BD4
         Height          =   855
         Left            =   1080
         TabIndex        =   9
         Top             =   360
         Width           =   5295
      End
      Begin VB.Image Image1 
         Height          =   480
         Left            =   240
         Picture         =   "frm_vcdxminfo.frx":0CD9
         Top             =   360
         Width           =   480
      End
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   6368
      Top             =   3060
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Label lbl_input 
      Caption         =   "Load MPEG file:"
      Height          =   255
      Left            =   255
      TabIndex        =   13
      ToolTipText     =   "Specify the MPEG to be analysed"
      Top             =   1620
      Width           =   2415
   End
   Begin VB.Label lbl_output 
      Caption         =   "Save the report as an XML file:"
      Height          =   255
      Left            =   255
      TabIndex        =   12
      ToolTipText     =   "Specify the output XML filename"
      Top             =   2340
      Width           =   2415
   End
End
Attribute VB_Name = "frm_vcdxminfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim objConsole As CConsole
Dim crlf As String
Dim defdirectory As String
Dim batchfile As String

Private Sub chk_aps_Click()
    If chk_aps.Value = 1 Then
        chk_apsrelaxed.Enabled = True
    End If
    
    If chk_aps.Value = 0 Then
        chk_apsrelaxed.Enabled = False
    End If
End Sub

Private Sub cmd_about_Click()
    frm_vcdxminfo_about.Show vbModal
End Sub

Private Sub cmd_cancel_Click()
    frm_mainmenu.Enabled = True
    frm_mainmenu.WindowState = 0

    Unload Me

End Sub

Private Sub cmd_input_Click()
    ' Set CancelError is True
    CommonDialog1.CancelError = True
    On Error GoTo ErrHandler
    ' Set flags
    CommonDialog1.Flags = cdlOFNHideReadOnly
    ' Set filters
    CommonDialog1.Filter = "All Files (*.*)|*.*|MPEG Files " & _
    "(*.mpg, *.mpeg, *.mpv, *.m2v, *.mp2)|*.mpg;*.mpeg;*.mpv;*.m2v;*.mp2"
    ' Specify default filter
    CommonDialog1.FilterIndex = 2
    ' Display the Open dialog box
    CommonDialog1.ShowOpen
    ' Display name of selected file

    txt_input.Text = CommonDialog1.filename
    CommonDialog1.filename = ""
    Exit Sub
    
ErrHandler:
    'User pressed the Cancel button
    Exit Sub

End Sub

Private Sub cmd_output_Click()
    ' Set CancelError is True
    CommonDialog1.CancelError = True
    
    On Error GoTo ErrHandler
    ' Set flags
    CommonDialog1.Flags = cdlOFNHideReadOnly
    
    ' Set filters
    CommonDialog1.Filter = "All Files (*.*)|*.*|XML Files " & _
    "(*.xml)|*.xml"
    
    ' Specify default filter
    CommonDialog1.FilterIndex = 2
    ' Display the Save dialog box
    CommonDialog1.ShowSave
    ' Display name of selected file

    txt_output.Text = CommonDialog1.filename
    CommonDialog1.filename = ""
    Exit Sub
    
ErrHandler:
    'User pressed the Cancel button
    Exit Sub

End Sub

Private Sub cmd_rip_Click()
    Dim outputfile As String
    Dim inputfile As String
    Dim switches As String
    Dim command As String
    Dim outputdirectory As String
    
    outputfile = ""
    switches = ""
    command = ""
    outputdirectory = ""
    
    'check if output has been set
    If txt_output.Text = "" Then
        mboxpress = MsgBox("You have not set an output file!" _
        , vbInformation + vbOKOnly, "Information")
        Exit Sub
    End If
    
    'set output file
    outputfile = "--output-file=" & Chr(34) & txt_output.Text & Chr(34)
    
    'set outputdirectory
    Dim outputlength As Integer
    Dim directorylength As Integer
    
    outputlength = Len(txt_output.Text)
    For loopy = outputlength To 1 Step -1
        If Mid(txt_output.Text, loopy, 1) = "\" Then
            outputdirectory = Left(txt_output.Text, loopy)
            directorylength = loopy
            Exit For
        End If
    Next loopy
    
    'check if inputfile has been set
    If txt_input.Text = "" Then
        mboxpress = MsgBox("You have not loaded an input XML file!" _
        , vbInformation + vbOKOnly, "Information")
        Exit Sub
    End If
    
    'set inputfile
    inputfile = Chr(34) & txt_input.Text & Chr(34)
    
    'settings
    If chk_generic.Value = 1 Then
        switches = "-i"
    End If
    
    If chk_aps.Value = 0 Then GoTo execution
    switches = switches & " -a"
    
    If chk_apsrelaxed.Value = 1 Then
        switches = switches & " --relaxed-aps"
    End If
    
execution:
    'execution of task
    chk_generic.Enabled = False
    chk_aps.Enabled = False
    chk_apsrelaxed.Enabled = False
    txt_output.Enabled = False
    cmd_output.Enabled = False
    txt_input.Enabled = False
    cmd_input.Enabled = False
    cmd_about.Enabled = False
    cmd_rip.Enabled = False
    cmd_cancel.Enabled = False
    
    command = Chr(34) & defdirectory & "vcdxminfo.exe" & Chr(34) & " " & switches & " -v  -p " & outputfile & " " & inputfile

    'set up batchfile
    batchfile = ""
    batchfile = outputdirectory & "run.bat"
    
    ChDir (outputdirectory)
    
    On Error Resume Next
    Kill (batchfile)  'if there was a file to overwrite, it's now dead
        
    Dim batchfilecontents As String
    Dim crlf As String
    crlf = Chr(13) & Chr(10)
    batchfilecontents = _
        "echo off" & crlf & _
        "cls" & crlf & _
        "echo VCDXMINFO Tool - Batch File (vitualis productions)" & crlf & _
        "echo ==================================================" & crlf & _
        "echo Input MPEG File:  " & txt_input.Text & crlf & _
        "echo Output XML File:  " & Mid(txt_output.Text, directorylength + 1) & crlf & _
        "echo Option switches:  " & switches & " -v -p" & crlf & _
        "echo." & crlf & _
        command & crlf & _
        "echo." & crlf & _
        "echo Finished!" & crlf & _
        "pause" & crlf & _
        "cls" & crlf & _
        "echo ***end***"
        
    'generate the batch file
    Open batchfile For Binary Access Write As #1
    Put #1, 1, batchfilecontents
    Close #1
    
    'everything is now passed on to the timer to search for
    'the end of the console task
    Timer1.Enabled = True
    Timer1.Tag = 0
    Timer1.Interval = 100

End Sub

Private Sub Form_Load()
    defdirectory = frm_mainmenu.Tag

    If Right(defdirectory, 1) <> "\" Then
    defdirectory = defdirectory & "\"
    End If
    
    defdirectory = defdirectory & "VCDImager\"
    
    Timer1.Enabled = False
    crlf = Chr(13) & Chr(10)

End Sub

Private Sub Timer1_Timer()
    
    If Timer1.Tag = 0 Then
        'Create console window
        Set objConsole = New CConsole
    
        With objConsole
    
            ' set the title
            .title = "GNU VCDImager Tools GUI -- VCDXMINFO Tool"
        
            ' set some properties
            .ForeColor = FOREGROUND_GREEN
            .ForeIntense = True
        
        End With
        
        'execute the generated batch file
        objConsole.StartApp "run.bat"
       
       
        'minimise the form so the dos windows has complete focus
        frm_vcdxminfo.WindowState = 1
        
        Timer1.Tag = 1
        Timer1.Interval = 250
        Exit Sub
    End If
    
    'search for the keyword "***end***" in the console window
    'if this is found, it means that the process has finished
    
    Dim keywrd As String
    keywrd = objConsole.WordScan
    
    If keywrd = "***end***" Then
        'Close Console window
        Set objConsole = Nothing
        
        mboxpress = MsgBox("Finished!" & Chr(13) _
        & Chr(13) & "Do you want to open the XML file now?" & crlf & crlf & _
        txt_output.Text, vbYesNo + vbDefaultButton1 + vbInformation, "Question")
    
        If mboxpress = vbYes Then
            Dim loadxml As String
            loadxml = "notepad " & Chr(34) & txt_output.Text & Chr(34)
            retvalue = Shell(loadxml, 1)
        End If
    
        Kill (batchfile)  'delete the temporary batch file
    
        frm_vcdxminfo.WindowState = 0
    
        chk_generic.Enabled = True
        chk_aps.Enabled = True
        If chk_aps.Value = 1 Then
            chk_apsrelaxed.Enabled = True
        End If
        txt_output.Enabled = True
        cmd_output.Enabled = True
        txt_input.Enabled = True
        cmd_input.Enabled = True
        cmd_about.Enabled = True
        cmd_rip.Enabled = True
        cmd_cancel.Enabled = True
        
        Timer1.Enabled = False
        Timer1.Tag = 0
        Exit Sub
    End If

        Timer1.Interval = 250
        Exit Sub

End Sub
